--- a/java/org/apache/catalina/util/ServerInfo.properties
+++ b/java/org/apache/catalina/util/ServerInfo.properties
@@ -13,6 +13,6 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-server.info=Apache Tomcat/@VERSION@
+server.info=Apache Tomcat/@VERSION@ (@TOMCAT7_DISTRIBUTION@)
 server.number=@VERSION_NUMBER@
-server.built=@VERSION_BUILT@
\ No newline at end of file
+server.built=@VERSION_BUILT@
--- a/build.xml
+++ b/build.xml
@@ -228,6 +228,7 @@
     <filter token="YEAR" value="${year}"/>
     <filter token="VERSION" value="${version}"/>
     <filter token="VERSION_NUMBER" value="${version.number}"/>
+    <filter token="TOMCAT7_DISTRIBUTION" value="${distribution.name}"/>
     <filter token="VERSION_MAJOR" value="${version.major}"/>
     <filter token="VERSION_MAJOR_MINOR" value="${version.major.minor}"/>
     <filter token="VERSION_BUILT" value="${today} ${tstamp} UTC"/>
